diff --git a/i18n/i18n.go b/i18n/i18n.go
index b6b8569..cf6751b 100644
--- a/i18n/i18n.go
+++ b/i18n/i18n.go
@@ -315,99 +315,162 @@ var Swedish = map[string]string{
 	"ChangePassword":                "ändra lösenord",
 }
 
-var EspanolMexicano = map[string]string{
+var EspanolLATAM = map[string]string{
 	"About":    "acerca de",
-	"Login":    "loguearse",
-	"Logout":   "logout",
-	"Sort":     "sort",
-	"Register": "register",
+	"Login":    "acceder",
+	"Logout":   "salir",
+	"Sort":     "orden",
+	"Register": "registro",
 	"Enter":    "entrar",
-	"Bottom":   "bottom",
-
-	"LoggedIn":    "logged in",
-	"NotLoggedIn": "Not logged in",
-	"LogIn":       "log in",
-	"GoBack":      "Go back",
-
-	"SortRecentPosts":   "recent posts",
-	"SortRecentThreads": "most recent threads",
-
-	"LoginNoAccount":       "¿No tienes una cuenta? <a href='/register'>Registra</a> una. ",
-	"LoginFailure":         "<b>Failed login attempt:</b> incorrect password, wrong username, or a non-existent user.",
-	"LoginAlreadyLoggedIn": `You are already logged in. Would you like to <a href="/logout">log out</a>?`,
-
-	"Username":                  "usuarie",
-	"Current":                   "current",
-	"New":                       "new",
-	"ChangePasswordDescription": "Use this page to change your password.",
-	"Password":                  "contraseña",
+	"Bottom":   "fin(al)",
+
+	"LoggedIn":    "¡Accediste!",
+	"NotLoggedIn": "No accediste :(",
+	"LogIn":       "Accede",
+	"GoBack":      "Regresa",
+
+	"SortRecentPosts":   "publicaciones recientes",
+	"SortRecentThreads": "hilos recientes",
+
+	"modlogCreateInvites":      `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> creó un conjunto de invitaciones`,
+	"modlogDeleteInvites":      `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> borró un conjunto de invitaciones`,
+	"modlogResetPassword":      `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> reseteó una contraseña de usuarie`,
+	"modlogResetPasswordAdmin": `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> reseteó la contraseña de <b> {{ .Data.RecipientUsername}}</b>`,
+	"modlogRemoveUser":         `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> removió una cuenta de usuarie`,
+	"modlogMakeAdmin":          `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> hizo a <b> {{ .Data.RecipientUsername}}</b> une admin`,
+	"modlogAddUser":            `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> manualmente registró una cuenta para une usuarie nuevx`,
+	"modlogAddUserAdmin":       `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> manualmente registró una cuenta para <b> {{ .Data.RecipientUsername }}</b>`,
+	"modlogDemoteAdmin": `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> destituyo a <b>
+	{{ if eq .Data.ActingUsername .Data.RecipientUsername }}
+	{{ else }} {{ .Data.RecipientUsername}} {{ end }}</b> (elle misme) de admin a usuarie normal`,
+	"modlogXProposedY":          `<code>{{ .Data.Time }}</code> <b>{{ .Data.ActingUsername }}</b> propuso: {{ .Data.Action }}`,
+	"modlogProposalMakeAdmin":   `Hacer a <b> {{ .Data.RecipientUsername}}</b> une admin`,
+	"modlogProposalDemoteAdmin": `Deponer a <b> {{ .Data.RecipientUsername}}</b> del rol admin`,
+	"modlogProposalRemoveUser":  `Remover a <b> {{ .Data.RecipientUsername }} </b>`,
+	"modlogConfirm":             "{{ .Data.Action }} <i>Confirmado por {{ .Data.ActingUsername }}</i>",
+	"modlogVeto":                "<s>{{ .Data.Action }}</s> <i>Rechazado por {{ .Data.ActingUsername }}</i>",
+
+	"Admins":                        "Administradorxs",
+	"AdminVeto":                     "Rechaza",
+	"AdminConfirm":                  "Confirma",
+	"AdminForumAdministration":      "Panel de Admin",
+	"AdminYou":                      "¡Tu!",
+	"AdminUsers":                    "Usuaries",
+	"AdminNoAdmins":                 "No hay admins",
+	"AdminNoUsers":                  "No hay otres usuaries",
+	"AdminNoPendingProposals":       "No hay propuestas pendientes",
+	"AdminAddNewUser":               "Crea usuarie nuevx",
+	"AdminAddNewUserQuestion":       "¿Alguien desea formar parte del foro?",
+	"AdminStepDown":                 "dimitir",
+	"AdminStepDownExplanation":      "Si quieres dejar de ser admin puedes",
+	"AdminViewPastActions":          "Ver acciones pasadas en el",
+	"ModerationLog":                 "Registro de moderación",
+	"AdminDemote":                   "Destituir",
+	"DeletedUser":                   "Usuarie removidx",
+	"RemoveAccount":                 "remover cuenta",
+	"AdminMakeAdmin":                "Hacer admin",
+	"Submit":                        "Activar",
+	"AdminSelfConfirmationsHover":   "Una semana debe pasar antes de que las autoconfirmaciones sean válidas",
+	"Proposal":                      "Propuesta",
+	"PendingProposals":              "Propuestas admin pendientes",
+	"AdminSelfProposalsBecomeValid": "Fecha de autovalidación",
+	"AdminPendingExplanation": `Dos admins se necesitan para <i>hacer une usuarie como admin</i>, <i>deponer une admin
+															existente</i>, o <i>remover une usuarie</i>. Le primere propone la acción, le segunde confirma
+															(o veta). Si suficiente tiempo pasa sin un veto quien propone puede confirmar su propia
+															propuesta.`,
+
+	"AdminAddUserExplanation":          "Registra una cuenta nueva de usuarie. Luego de registrar la cuenta vas a recibir una contraseña e instrucciones para comptartirle a le usuarie.",
+	"AdminForumHasAdmins":              "Este foro tiene les siguientes admins",
+	"AdminOnlyLoggedInMayView":         "Solo les usuaries con sesión iniciada pueden ver les admins del foro.",
+	"AdminPasswordSuccessInstructions": `Instrucciones: La contraseña de %s fue establecida a %s. Luego de iniciar sesión puede cambiar su contraseña entrando a la configuración de su cuenta.`,
+
+	"ModLogNoActions":           "No hay registro de acciones de moderadore",
+	"ModLogExplanation":         `Este recurso hace lista de las acciones de moderadore hechas por admins de este foro.`,
+	"ModLogExplanationAdmin":    `Como estas viendo esta página como admin vas a poder ver más detalles.`,
+	"ModLogOnlyLoggedInMayView": "Solo usuaries con sesión iniciada van a poder ver el registro de moderación.",
+
+	"LoginNoAccount":       "¿No tienes una cuenta? <a href='/register'>Regístrate</a>.",
+	"LoginFailure":         "<b>Falló el intento de acceder:</b> contraseña incorrecta, usuario equivocado o no existe el nombre de usuario.",
+	"LoginAlreadyLoggedIn": `Ya estás dentro. ¿Quisieras <a href="/logout">salir</a>?`,
+
+	"Username":                  "Usuarie",
+	"Current":                   "Actual",
+	"New":                       "Nuevo",
+	"ChangePasswordDescription": "Usa esta página para cambiar la contraseña.",
+	"Password":                  "Contraseña",
 	"PasswordMin":               "Debe tener por lo menos 9 caracteres.",
-	"PasswordForgot":            "Olvidaste tu contraseña?",
-
-	"Posts":             "posts",
-	"Threads":           "threads",
-	"ThreadNew":         "new thread",
-	"ThreadThe":         "the thread",
-	"Index":             "index",
-	"GoBackToTheThread": "Go back to the thread",
-
-	"ThreadCreate":        "Create thread",
-	"Title":               "Title",
-	"Content":             "Content",
-	"Create":              "Create",
-	"TextareaPlaceholder": "Tabula rasa",
-
-	"PasswordReset":                   "reset password",
-	"PasswordResetSuccess":            "Reset password—success!",
-	"PasswordResetSuccessMessage":     "You reset your password!",
-	"PasswordResetSuccessLinkMessage": "Give it a try and",
-
-	"RegisterMessage":     "You already have an account (you are logged in with it).",
-	"RegisterLinkMessage": "Visit the",
-	"RegisterSuccess":     "registered successfully",
-
-	"ErrUnaccepted":        "Unaccepted request",
-	"ErrThread404":         "Thread not found",
-	"ErrThread404Message":  "The thread does not exist (anymore?)",
-	"ErrGeneric404":        "Page not found",
-	"ErrGeneric404Message": "The visited page does not exist (anymore?). Error code %d.",
-
-	"NewThreadMessage":            "Only members of this forum may create new threads",
-	"NewThreadLinkMessage":        "If you are a member,",
-	"NewThreadCreateError":        "Error creating thread",
-	"NewThreadCreateErrorMessage": "There was a database error when creating the thread, apologies.",
-	"PostEdit":                    "Post preview",
-	"ThreadStartNew":              "Start a new thread",
+	"PasswordForgot":            "¿Olvidaste tu contraseña?",
+
+	"Posts":             "publicaciones",
+	"Threads":           "hilos",
+	"ThreadNew":         "Nuevo hilo",
+	"ThreadThe":         "El hilo",
+	"Index":             "Inicio",
+	"GoBackToTheThread": "Regresa al hilo",
+	"ThreadsViewEmpty":  "Actualmente no hay hilos.",
+
+	"ThreadCreate":        "Crea un hilo",
+	"Title":               "Título",
+	"Content":             "Contenido",
+	"Private":	       "Privado",
+	"Create":              "Crear",
+	"TextareaPlaceholder": "Escribe aquí",
+
+	"PasswordReset":                   "Cambia la contraseña",
+	"PasswordResetSuccess":            "¡Contraseña cambiada exitosamente!",
+	"PasswordResetSuccessMessage":     "¡Cambiaste la contraseña!",
+	"PasswordResetSuccessLinkMessage": "Inténtalo y",
+
+	"RegisterMessage":     "Ya tienes una cuenta (ya iniciaste sesión).",
+	"RegisterLinkMessage": "Visita",
+	"RegisterSuccess":     "Registro exitoso",
+
+	"ErrUnaccepted":        "Solicitud no aceptada",
+	"ErrGeneric401":        "No autorizado",
+	"ErrGeneric401Message": "No tienes permiso para hacer esta acción.",
+	"ErrEdit404":           "Publicación no encontrada",
+	"ErrEdit404Message":    "Publicación no fue encontrada y no se puede editar",
+	"ErrThread404":         "Hilo no encontrado",
+	"ErrThread404Message":  "El hilo no existe (¿más?)",
+	"ErrGeneric404":        "Página no encontrada",
+	"ErrGeneric404Message": "La página visitada no existe (¿más?). Código de error %d.",
+
+	"NewThreadMessage":            "Solo miembros de este foro pueden crear hilos nuevos",
+	"NewThreadLinkMessage":        "Si eres miembro,",
+	"NewThreadCreateError":        "Error creando hilo",
+	"NewThreadCreateErrorMessage": "Disculpa, hubo un error en la base de datos cuando se creó el hilo.",
+	"PostEdit":                    "Vista previa",
+	"PostPrivate":                 "Este es un hilo privado, solo personas con sesión iniciada pueden ver y leer su contenido.",
 
 	"AriaPostMeta":          "Post meta",
-	"AriaDeletePost":        "Delete this post",
-	"AriaRespondIntoThread": "Respond into this thread",
-	"AriaHome":              "Home",
-	"PromptDeleteQuestion":  "Delete post for all posterity?",
-	"Delete":                "delete",
+	"AriaDeletePost":        "Borrar este post",
+	"AriaRespondIntoThread": "Responde dentro de este hilo",
+	"PromptDeleteQuestion":  "¿Borrar esta publicación para la posteridad?",
+	"Delete":                "borrar",
 	"Edit":                  "editar",
 	"EditedAt":              "editado a las",
-	"Post":                  "post",
-	"Save":                  "Save",
-	"Author":                "Author",
-	"Responded":             "responded",
-	"YourAnswer":            "Your answer",
+	"Post":                  "publicar",
+	"Save":                  "guardar",
+	"Author":                "autore",
+	"Responded":             "respondió",
+	"YourAnswer":            "Tu respuesta",
 
-	"RegisterHTMLMessage": `You now have an account! Welcome. Visit the <a href="/">index</a> to read and reply to threads, or start a new one.`,
+	"AriaHome":       	 "Inicio",
+	"ThreadStartNew":        "Empieza un hilo nuevo",
 
-	"RegisterInviteInstructionsTitle": "How to get an invite code",
-	"RegisterConductCodeBoxOne":       `I have refreshed my memory of the <a target="_blank" href="{{ .Data.Link }}">{{ .Data.Name }} Code of Conduct</a>`,
-	"RegisterConductCodeBoxTwo":       `Yes, I have actually <a target="_blank" href="{{ .Data.Link }}">read it</a>`,
+	"RegisterHTMLMessage": `¡Ahora tienes una cuenta! Bienvenide. Visita el <a href="/">inicio</a> para leer o responder los hilos, o empieza uno nuevo.`,
 
-	"PasswordResetDescription":      "On this page we'll go through a few steps to securely reset your password—without resorting to any emails!",
-	"PasswordResetUsernameQuestion": "First up: what was your username?",
-	"NewPassword":                   "new password",
-	"ChangePassword":                "change password",
-}
+	"RegisterInviteInstructionsTitle": "Cómo obtener un código de invitación",
+	"RegisterConductCodeBoxOne":       `He refrescado mi memoria del <a target="_blank" href="{{ .Data.Link }}">{{ .Data.Name }} Code of Conduct</a>`,
+	"RegisterConductCodeBoxTwo":       `Sí, realmente lo <a target="_blank" href="{{ .Data.Link }}">he leído</a>.`,
+
+	"NewPassword":                   "Nueva contraseña",
+	"ChangePassword":                "Cambiar contraseña",
+	}
 
 var translations = map[string]map[string]string{
 	"English":         English,
-	"EspañolMexicano": EspanolMexicano,
+	"EspañolLATAM":   EspanolLATAM,
 	"Swedish":         Swedish,
 }
 
